-module(xsd_list_attr_test).

-export([test/0]).

test() ->
    {ok, BinFile} = file:read_file("test.xml"),
    Xml = erlang:binary_to_list(BinFile),
    {XmlElement, _} = xmerl_scan:string(Xml),
    {ok, XsdSchema} = xmerl_xsd:process_schema("test.xsd"),
    Result = xmerl_xsd:validate(XmlElement, XsdSchema),
    io:format("Validation result: ~p~n", [Result]).